/*
 *  F.h
 *  testDoxygen
 *
 *  Created by Steen Parl on Wed Mar 17 2004.
 *  Copyright (c) 2004 Signatron Technology Corporation. All rights reserved.
 *
 */
 #pragma once

/// F is a generic base class.
struct F
{	
    int f_int;	//< An integer in F.
};

/// F_W inherits from F and a template
template <class W>
class F_W : public W, public F
{	int fw_int;		//< An integer in F_W.
    public:
        F_W(int);
        
};